%global momorel 1
%global artsver 1.5.8
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global kdebaserel 1m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 0
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 1101077b3a0164da463f60cad4f13e25
%global md5sum_src1 5777e4d2dbfc3e6c2ba9f0ed6ea457f9

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 3.5.0
Release: %{momorel}m%{?dist}
Group: Development/Tools
License: GPL
URL: http://www.kdevelop.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
%NoSource 1 ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-2.0.2_for_KDE_3.0.tar.bz2 %{md5sum_src1}
Patch1: kdevelop-3.2.1-gcc4.patch
Patch10: kdevelop-3.5.0-alt-svn-lib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt-designer >= %{qtver}
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: autoconf >= 2.58
Requires: automake >= 1.5-8k
Requires: flex >= 2.5.4
Requires: kdbg
Requires: make
Requires: perl >= 5.8.1
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: apr-devel >= 1.2.6
BuildPreReq: apr-util-devel >= 1.2.6
BuildPreReq: autoconf >= 2.58
BuildPreReq: automake
BuildPreReq: db4-devel >= 4.5.20-3m
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: libtool
BuildPreReq: subversion-devel >= 1.3.1

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
%setup -q -a 1

%patch1 -p1 -b .gcc4
%patch10 -p1 -b .fix-build

# c references
rm -rf c_cpp_reference-2.0.2_for_KDE_3.0/admin
cp -a admin c_cpp_reference-2.0.2_for_KDE_3.0/
make -C c_cpp_reference-2.0.2_for_KDE_3.0 -f admin/Makefile.common cvs

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export FLAGS="%{optflags} -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

# c references
pushd c_cpp_reference-2.0.2_for_KDE_3.0

%configure \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-libs=%{_libdir}

popd

CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qtdoc-dir=%{qtdir}/doc/html \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-libs=%{_libdir} \
	--with-kdelibsdoc-dir=%{_docdir}/HTML/en/kdelibs-apidocs \
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config \
	--with-svn-include=%{_includedir}/subversion-1 \
	--with-svn-lib=%{_libdir} \
	--with-xinerama \
	--with-pic \
	--disable-closure \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags} -C lib/util
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# c references
make -C c_cpp_reference-2.0.2_for_KDE_3.0 DESTDIR=%{buildroot} install

# remove useless files
rm -rf %{buildroot}%{_prefix}/kdevbdb

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog HACKING* INSTALL README TODO
%{_bindir}/*
%{_includedir}/kdevelop
%{_includedir}/kinterfacedesigner
%{_libdir}/kconf_update_bin/kdev-gen-settings-kconf_update
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/kconf_update/kdev-gen-settings.upd
%{_datadir}/apps/kdevabbrev
%{_datadir}/apps/kdevadaproject
%{_datadir}/apps/kdevadasupport
%{_datadir}/apps/kdevantproject
%{_datadir}/apps/kdevappoutputview
%{_datadir}/apps/kdevappwizard
%{_datadir}/apps/kdevassistant
%{_datadir}/apps/kdevastyle
%{_datadir}/apps/kdevautoproject
%{_datadir}/apps/kdevbashsupport
%{_datadir}/apps/kdevclassview
%{_datadir}/apps/kdevcppsupport
%{_datadir}/apps/kdevcsharpsupport
%{_datadir}/apps/kdevctags2
%{_datadir}/apps/kdevcustomproject
%{_datadir}/apps/kdevcvsservice
%{_datadir}/apps/kdevdebugger
%{_datadir}/apps/kdevdesigner
%{_datadir}/apps/kdevdesignerpart
%{_datadir}/apps/kdevdiff
%{_datadir}/apps/kdevdistpart
%{_datadir}/apps/kdevdocumentation
%{_datadir}/apps/kdevdoxygen
%{_datadir}/apps/kdevelop
%{_datadir}/apps/kdevfilecreate
%{_datadir}/apps/kdevfilelist
%{_datadir}/apps/kdevfilter
%{_datadir}/apps/kdevfortransupport
%{_datadir}/apps/kdevfullscreen
%{_datadir}/apps/kdevgrepview
%{_datadir}/apps/kdevjavasupport
%{_datadir}/apps/kdevmakeview
%{_datadir}/apps/kdevpartexplorer
%{_datadir}/apps/kdevpascalproject
%{_datadir}/apps/kdevpascalsupport
%{_datadir}/apps/kdevperlsupport
%{_datadir}/apps/kdevphpsupport
%{_datadir}/apps/kdevpythonsupport
%{_datadir}/apps/kdevquickopen
%{_datadir}/apps/kdevrbdebugger
%{_datadir}/apps/kdevregexptest
%{_datadir}/apps/kdevreplace
%{_datadir}/apps/kdevrubysupport
%{_datadir}/apps/kdevscripting
%{_datadir}/apps/kdevscriptproject
%{_datadir}/apps/kdevsqlsupport
%{_datadir}/apps/kdevsnippet
%{_datadir}/apps/kdevtipofday
%{_datadir}/apps/kdevtools
%{_datadir}/apps/kdevtrollproject
%{_datadir}/apps/kdevvalgrind
%{_datadir}/apps/kdevvcsmanager
%{_datadir}/apps/kio_pydoc
%{_datadir}/config/*rc
%{_datadir}/desktop-directories/*.directory
%{_datadir}/doc/HTML/en/*
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/kded/kdevsvnd.desktop
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*.desktop

%changelog
* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.0-1m)
- update to KDE 3.5.8 (kdevelop-3.5.0)

* Mon May 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-3m)
- revise and clean up %%files

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-2m)
- import kdevelop-3.4.1-alt-svn-lib.patch from ALT Linux (re-enable subversion support)

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4.1-1m)
- update to KDE 3.5.7 (kdevelop-3.4.1)
- import patch11 (kdevelop-3.4.1-stop-hang.patch) from Mandriva
- disable subversion support at this time
- - delete "--with-svn-include=%%{_includedir}/subversion-1"
- - delete "--with-svn-lib=%%{_libdir}"

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.3.6-2m)
- rebuild against kdelibs etc.

* Wed Jan 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.6-1m)
- update to KDE 3.5.6

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-3m)
- rebuild against db4-4.5.20-1m

* Sun Oct 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-2m)
- update admin of c_cpp_reference for new autotools
- remove c_cpp_reference-2.0.2-config.patch
- remove kdevelop-2.1.5_for_KDE_3.1-doc.patch

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.5-1m)
- update to KDE 3.5.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.3.4-2m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m kdesdk-3.5.4-4m

* Fri Aug 18 2006 Nishio Futoshi <futoshi@momonga-linix.org>
- (3.3.4-2m)
- rebuild against kdesdk-3.5.4-3m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.4-1m)
- update to KDE 3.5.4

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-1m)
- update to KDE 3.5.2

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.0-3m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.0-2m)
- rebuild against db4.3

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.0-1m)
- update to KDE 3.5

* Wed Nov 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.3.0-0.1.2m)
- delete "Workaround for legacy auto* tools"

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.0-0.1.1m)
- update to KDE 3.5 RC1
- remove fpic.patch
- modify spec file

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.3-1m)
- update to KDE 3.4.3
- remove kdevelop-3.2.2-uic.patch

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.2-3m)
- import kdevelop-3.2.2-uic.patch from Fedora Core devel
 +* Thu Sep 22 2005 Than Ngo <than@redhat.com> 9:3.2.2-2
 +- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.2-2m)
- clean up spec file

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.2-1m)
- update to KDE 3.4.2
- import gcc4.patch from Fedora Core
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.1-1m)
- update to KDE 3.4.1

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.0-1m)
- update to KDE 3.4.0
- update fpic.patch from Fedora Core
- Requires: qt-designer 

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.1.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.2-1m)
- update to KDE 3.3.2

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.1.0-2m)
- rebuild against kdelibs-3.3.1-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.0-1m)
- KDE 3.3.1
- import Patch4 from Fedora Core

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.4-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.4-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.2-1m)
- KDE 3.2.1 Release

* Thu Feb 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Wed Feb 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.0-1m)
- delete Obsoletes: kdevelop 
- delete Provides: kdevelop 

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.0-1m)
- KDevelop 3.0.0 (aka Gideon) with KDE 3.2.0
- change URL and name of Source1
- import following patches from Fedora
- - Patch1: c_cpp_reference-2.0.2-config.patch
- - Patch3: kdevelop-2.1.5_for_KDE_3.1-doc.patch
- remove Patch100: kdevelop-2.0.2-font-i18n-20011127.diff (not appliable)
- make -f Makefile.cvs in %%build

* Sat Jan 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (2.1.5-5m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (2.1.5-4m)
- rebuild against for qt-3.2.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.5-3m)
- for kde-3.1.2

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.5-2m)
- remove requires: qt-Xt
                                                                                
* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.5-1m)
- update to 2.1.5
- update c_cpp_reference to 2.0.2

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-2m)
- rebuild against for XFree86-4.3.0

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.4-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.3-2m)
- rebuild against kde-3.0.4.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (2.1.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.1-2k)
  update to 2.1 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (2.1-0.0003002k)
- based on 2.1rc3.

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.2-8k)
- perl 5.6.1

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (2.0.2-6k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.2-4k)
- automake autoconf 1.5

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.0.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.0.1-6k)
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.0.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.0.1-2k)
- version up.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (2.0-2k)
- stable release.
- fix version no ;-p

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1, but...

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002004k)
- based on 2.2alpha2.

* Sat May 19 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001004k)
- avoid conflicting /usr/bin/extractrc.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-0.0001010k)
- rebuild against openssl 0.9.6.

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1-0.0001006k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.1-0.0001004k]
- backport 2.1-0.0001005k(Jirai).

* Wed Jan 10 2001 Kenichi Matsubara <m@kondara.org>
- [2.1-0.0001002k]
- update 2.1beta1.

* Sat Jan 06 2001 Kenichi Matsubara <m@kondara.org>
- [2.1-0.0001003k]
- update 2.1beta1.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.020001214003k]
- update new snapshot version.
- use build qt-2.2.3.

* Sat Dec 09 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.020001209003k]
- update to new snapshot version.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-0.3k]
- rebuild against qt 2.2.2.

* Fri Oct 27 2000 Toru Hoshina <toru@df-usa.com>
- snapshot release.

* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase

* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure

* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)

* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file

* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release

* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
